> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/venezuela/banktransfer.md).

# BankTransfer

## Submit a payout by Bank Transfer in Venezuela.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Bank Transfer in Venezuela.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | String | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | String | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                     |
| ---------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| amount<mark style="color:red;">\*</mark>             | String | Payout amount. Supports up to 2 decimal places.Range: 2.00–3,000.00 USD.                                                        |
| source\_currency<mark style="color:red;">\*</mark>   | String | Merchant account currency. One of: `USD`, `EUR`, `GBP`.                                                                         |
| arrival\_currency<mark style="color:red;">\*</mark>  | String | Fixed value: `VES`.                                                                                                             |
| fee\_bear<mark style="color:red;">\*</mark>          | String | Specifies who bears the processing fee. One of: `merchant`, `beneficiary`.                                                      |
| name<mark style="color:red;">\*</mark>               | String | Beneficiary's full name. Length: 5–100 characters.                                                                              |
| document\_type<mark style="color:red;">\*</mark>     | String | Beneficiary's identification document type. Example: `CI`, `RIF`.                                                               |
| document\_id<mark style="color:red;">\*</mark>       | String | Beneficiary's identification number.                                                                                            |
| account<mark style="color:red;">\*</mark>            | String | Beneficiary's bank account number.                                                                                              |
| custom\_code<mark style="color:red;">\*</mark>       | String | Merchant's unique payout order ID.                                                                                              |
| notify\_url<mark style="color:red;">\*</mark>        | String | Where Pagsmile will send notifications to.                                                                                      |
| method<mark style="color:red;">\*</mark>             | String | Fixed value: `BANKTRANSFER`.                                                                                                    |
| additional\_remark<mark style="color:red;">\*</mark> | String | Description shown on the beneficiary's bank statement. Max length: 40 characters.                                               |
| country<mark style="color:red;">\*</mark>            | String | Fixed value: `VEN` for Venezuela.                                                                                               |
| bank\_code<mark style="color:red;">\*</mark>         | String | Bank code of the beneficiary's bank. See [Bank Code in Venezuela](https://docs.pagsmile.com/payout/banklist/bank-in-venezuela). |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```javascript
{
    "code":200,
    "msg":"success",
    "time":1780993149,
    "data"{
    "id":"TS20****LBVE",
    "custom_code":"custom_code16***dl",
    "arrival_amount":"720",
    "arrival_currency":"VES",
    "source_amount":"1.29",
    "source_currency":"USD",
    "status":"IN_PROCESSING"
   }
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```javascript
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://api.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": 720,
    "source_currency": "USD",
    "arrival_currency": "VES",
    "fee_bear": "merchant",
    "name": "Test",
    "document_type": "CI",
    "document_id": "V21***1",
    "account": "414***50",
    "custom_code": "custom_code162***pdl",
    "notify_url": "https://.notify.url/",
    "method": "BANKTRANSFER",
    "additional_remark": "testpayout0012345",
    "country": "VEN",
    "bank_code": "0173"
}'
```

{% hint style="info" %}
Note: ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is the authorization token associated with the test App ID.
{% endhint %}

## Example of Document

<table><thead><tr><th width="175.16015625">Document Type</th><th width="102.25390625">Length</th><th>Document Example</th><th>Description</th></tr></thead><tbody><tr><td>CI</td><td>7</td><td>7794986</td><td>Cedula de Identidad</td></tr><tr><td>CE</td><td>8</td><td>BO123456</td><td>Cedula de Identidad de Extranjero</td></tr><tr><td>NIT</td><td>4 - 15</td><td>419326025</td><td>Número de Identificación Tributaria</td></tr></tbody></table>

## Example of Account

| Account Type | Account Length | Account Formart |
| ------------ | -------------- | --------------- |
| SAVINGS      | 7-14           | Numberic        |
| CHECKING     | 7-14           | Numberic        |
